Package: fishstat
Version: 2026.1.0.0
Date: 2026-04-04
Title: Global Fishery and Aquaculture Statistics
Authors@R: c(person("Arni", "Magnusson", role=c("aut","cre"), email="thisisarni@gmail.com"),
             person("Rishi", "Sharma", role="aut"),
             person("FAO", role="cph"))
Depends: R (>= 3.5.0)
Suggests: areaplot
LazyData: yes
Description: The Food and Agriculture Organization of the United Nations (FAO)
  FishStat database is the leading source of global fishery and aquaculture
  statistics and provides unique information for sector analysis and monitoring.
  This package provides the global production data from all fisheries and
  aquaculture in R format, ready for analysis.
License: CC BY-NC-SA 4.0
URL: https://www.fao.org/fishery/en/fishstat,
        https://github.com/sofia-taf/fishstat
Encoding: UTF-8
RoxygenNote: 7.3.3
NeedsCompilation: no
Packaged: 2026-04-04 12:19:42 UTC; arnim
Author: Arni Magnusson [aut, cre],
  Rishi Sharma [aut],
  FAO [cph]
Maintainer: Arni Magnusson <thisisarni@gmail.com>
Repository: CRAN
Date/Publication: 2026-04-04 12:50:02 UTC
Built: R 4.6.0; ; 2026-04-25 18:55:20 UTC; unix

#' @name fishstat-package
#'
#' @aliases fishstat
#'
#' @title Global Fishery and Aquaculture Statistics
#'
#' @description
#' The Food and Agriculture Organization of the United Nations (FAO) FishStat
#' database is the leading source of global fishery and aquaculture statistics
#' and provides unique information for sector analysis and monitoring.
#'
#' This package provides the global production data from all fisheries and
#' aquaculture in R format, ready for analysis.
#'
#' @details
#' \emph{Production tables:}
#' \tabular{ll}{
#'   \code{\link{aquaculture}} \tab aquaculture production\cr
#'   \code{\link{capture}}     \tab capture production\cr
#'   \code{\link{production}}  \tab aquaculture and capture production
#' }
#' \emph{Lookup tables:}
#' \tabular{ll}{
#'   \code{\link{area}}        \tab fishing areas\cr
#'   \code{\link{country}}     \tab countries and territories\cr
#'   \code{\link{environment}} \tab aquaculture environments\cr
#'   \code{\link{measure}}     \tab units of measurement\cr
#'   \code{\link{source}}      \tab sources of production\cr
#'   \code{\link{species}}     \tab taxonomic groups\cr
#'   \code{\link{status}}      \tab status of data entries
#' }
#'
#' @section Joining Tables:
#' Production tables can be joined with lookup tables using the
#' \code{\link{merge}} function, as demonstrated in the help page examples for
#' \code{\link{aquaculture}} and \code{\link{capture}} production. The column
#' names in this package have been designed to allow automatic inference of
#' which columns to join, and the resulting table will have unique column names.
#'
#' The \code{merge} function is generally useful for joining tables, but other
#' join methods are available in R that can be faster but require either
#' additional packages or more coding. The \code{\link{production}} example uses
#' square brackets and the \code{match} function to add one lookup column at a
#' time to the production table. Compared to the slower \code{merge} function,
#' this saves time, both for users and CRAN servers running maintenance tests.
#'
#' Rather than optimizing speed or memory footprint, one can optimize
#' convenience by constructing a full table with all data records and all
#' columns:\preformatted{
#' prod.all <- merge(merge(merge(merge(merge(merge(production,
#'                   area), country), measure), source), species), status)
#' cap.all <- merge(merge(merge(merge(merge(capture,
#'                  area), country), measure), species), status)
#' aqua.all <- merge(merge(merge(merge(merge(merge(aquaculture,
#'                   area), country), environment), measure), species), status)}
#'
#' Popular paradigms for joining tables include:
#' \itemize{
#'   \item Base R, where \code{merge} returns a \code{data.frame}.
#'   \item The \code{dplyr} package, where \code{inner_join} returns a
#'         \code{tibble}.
#'   \item The \code{data.table} package, where \code{merge} returns a
#'         \code{data.table}.
#' }
#'
#' @note
#' The data in the package were downloaded from the FAO
#' \href{https://www.fao.org/fishery/static/Data/}{data server} and imported
#' into R. The R package version indicates the version of FishStat data it
#' includes. Column names have been simplified to facilitate quick exploration
#' and plotting in R.
#'
#' An effort has been made to describe each table in the corresponding R help
#' page. However, the official and authoritative documentation of the FishStat
#' database is found on the FAO
#' \href{https://www.fao.org/fishery/en/fishstat}{FishStat} website.
#'
#' The example below demonstrates how the FishStat data can be used to produce
#' an overview of global fisheries and aquaculture. The combination of FishStat
#' and the R environment can also be very efficient for analyses that focus on
#' selected areas, countries, species, and/or taxonomic groups.
#'
#' @author
#' Arni Magnusson and Rishi Sharma created this R package.
#'
#' All credit for the FishStat database goes to the Statistics Team of the FAO
#' Fisheries and Aquaculture Division, as well as national data submitters. The
#' database \href{https://www.fao.org/contact-us/terms/db-terms-of-use/en}{terms
#' of use} are based on the
#' \href{https://creativecommons.org/licenses/by-nc-sa/3.0/igo/}{CC BY-NC-SA 3.0
#' IGO} license. The R package is released under a similar
#' \href{https://creativecommons.org/licenses/by-nc-sa/4.0/}{CC BY-NC-SA 4.0}
#' license.
#'
#' \emph{To cite the use of FishStat data:}
#'
#' FAO. [Year].
#' FishStat data.
#' Fisheries and Aquaculture Division. Rome.
#' \url{https://www.fao.org/fishery/en/fishstat}.
#'
#' \emph{To cite the use of this R package to access the data, cite FishStat
#' (above) as well as:}
#'
#' Magnusson, A. and R. Sharma. [Year].
#' fishstat: Global Fishery and Aquaculture Statistics.
#' R package version [Version].
#' \url{https://cran.r-project.org/package=fishstat}.
#'
#' @seealso
#' The package on CRAN provides the latest FishStat data, within a few weeks
#' after an official FAO data release. For research and reference purposes,
#' packages containing older data releases are available on GitHub with
#' descriptive names. For example, the \pkg{fishstat21} and \pkg{fishstat22}
#' packages contain the FAO FishStat data releases from 2021 and 2022:
#' \preformatted{
#' install_github("https://github.com/sofia-taf/fishstat21")
#' install_github("https://github.com/sofia-taf/fishstat22")}
#'
#' @examples
#' head(production)
#'
#' # Analyze production measured in tonnes
#' prod <- production[production$measure == "Q_tlw" & production$value > 0,]
#'
#' # Fast merge yearbook and inlandmarine columns
#' prod$yearbook <- species$yearbook[match(prod$species, species$species)]
#' prod$inlandmarine <- area$inlandmarine[match(prod$area, area$area)]
#'
#' # Select SOFIA species, excluding mammals, reptiles, and plants
#' prod <- prod[grep("Fish, crustaceans and molluscs", prod$yearbook, fixed=TRUE),]
#'
#' # Determine origin
#' prod$origin <- ifelse(prod$source == "CAPTURE", "Capture", "Aquaculture")
#' prod$w <- ifelse(prod$inlandmarine == "Marine areas", "marine", "inland")
#' prod$origin <- paste0(prod$origin, " (", prod$w, ")")
#' cbind(sort(unique(prod$origin)))
#'
#' # World capture fisheries and aquaculture production
#' x <- xtabs(value~year+origin, aggregate(value~year+origin, prod, sum))
#' x <- x / 1e6
#' library(areaplot)
#' areaplot(x, legend=TRUE, args.legend=list(x="topleft"), ylab="million tonnes")

"_PACKAGE"

#' @docType data
#'
#' @name status
#'
#' @title Status
#'
#' @description Status of data entries, defined by FAO (2026).
#'
#' @usage
#' status
#'
#' @format
#' Data frame containing four columns:
#' \tabular{ll}{
#'   \code{status}             \tab status code\cr
#'   \code{status_name}        \tab status name\cr
#'   \code{status_description} \tab short name\cr
#'   \code{alternate}          \tab unit multiplier
#' }
#'
#' @details
#' This data frame contains the full set of 16 data records from the FishStat
#' \emph{Symbols} data table. Column names have been simplified to facilitate
#' quick exploration and plotting in R.
#'
#' @source
#' FAO (2026).
#' Global Production.
#' Fisheries and Aquaculture Division. Rome.
#'
#' \url{https://www.fao.org/fishery/en/collection/global_production}
#'
#' @seealso
#' \code{\link{aquaculture}} and \code{\link{capture}} data are also
#' available in a combined \code{\link{production}} format.
#'
#' \code{\link{area}}, \code{\link{country}}, \code{\link{environment}},
#' \code{\link{measure}}, \code{\link{source}}, \code{\link{species}}, and
#' \code{\link{status}} are lookup tables.
#'
#' \code{\link{fishstat-package}} gives an overview of the package.
#'
#' @examples
#' head(status, 3)
#'
#' # Aquaculture data entries
#' # Percentage that have official status, estimated, and negligible
#' 100 * proportions(table(aquaculture$status))
#'
#' # Capture data entries
#' # Percentage that have official status, estimated, and negligible
#' 100 * proportions(table(capture$status))
#'
#' # Examine one status definition
#' print.simple.list(status[status$status=="N",])

NA

#' @docType data
#'
#' @name capture
#'
#' @title Global Capture Production
#'
#' @description
#' Capture production quantity by species, area, and country for the years
#' 1950-2024, compiled and published by FAO (2026).
#'
#' @usage
#' capture
#'
#' @format
#' Data frame containing seven columns:
#' \tabular{ll}{
#'   \code{species} \tab \code{\link{species}} code\cr
#'   \code{year}    \tab year\cr
#'   \code{area}    \tab \code{\link{area}} code\cr
#'   \code{country} \tab \code{\link{country}} code\cr
#'   \code{value}   \tab quantity in tonnes or number of individuals\cr
#'   \code{measure} \tab \code{\link{measure}} code\cr
#'   \code{status}  \tab \code{\link{status}} code
#' }
#'
#' @details
#' This data frame contains the full set of 1,052,197 data records from the
#' FishStat \emph{Capture Quantity} data table. Column names have been
#' simplified to facilitate quick exploration and plotting in R.
#'
#' @source
#' FAO (2026).
#' Global Capture Production.
#' Fisheries and Aquaculture Division. Rome.
#'
#' \url{https://www.fao.org/fishery/en/collection/capture}
#'
#' @seealso
#' \code{\link{aquaculture}} and \code{\link{capture}} data are also
#' available in a combined \code{\link{production}} format.
#'
#' \code{\link{area}}, \code{\link{country}}, \code{\link{environment}},
#' \code{\link{measure}}, \code{\link{source}}, \code{\link{species}}, and
#' \code{\link{status}} are lookup tables.
#'
#' \code{\link{fishstat-package}} gives an overview of the package.
#'
#' @examples
#' head(capture)
#'
#' # Analyze catches measured in tonnes
#' cap <- aggregate(value~species+year, capture, sum, subset=measure=="Q_tlw")
#' cap <- merge(cap, species[c("species", "species_name", "major")])
#'
#' # Top 10 capture species in 2024
#' x <- aggregate(value~species_name, cap, sum, subset=year==2024)
#' x$value <- round(x$value)
#' head(x[order(-x$value),], 10)
#'
#' # Total capture production by major taxa since 1950, in million tonnes
#' x <- aggregate(value~tolower(major), cap, function(x) round(sum(x/1e6)))
#' x[x$value > 0,]
#'
#' # Annual capture production of all animals
#' x <- aggregate(value~year, cap, sum, subset=major!="PLANTAE AQUATICAE")
#' plot(value/1e6~year, x, ylim=c(0,105), ylab="million tonnes", type="l")
#' title(main="Capture production: All animals")

NA

#' @docType data
#'
#' @name species
#'
#' @title Species
#'
#' @description Aquatic species and taxonomic groups, defined by FAO (2026).
#'
#' @usage
#' species
#'
#' @format
#' Data frame containing ten columns:
#' \tabular{ll}{
#'   \code{species}      \tab species code\cr
#'   \code{species_name} \tab species name\cr
#'   \code{scientific}   \tab scientific name\cr
#'   \code{isscaap}      \tab ISSCAAP group\cr
#'   \code{major}        \tab major taxa\cr
#'   \code{cpc_class}    \tab CPC class\cr
#'   \code{cpc_group}    \tab CPC group\cr
#'   \code{yearbook}     \tab yearbook category\cr
#'   \code{author}       \tab author of scientific name\cr
#'   \code{taxonomic}    \tab taxonomic code
#' }
#'
#' @details
#' This data frame contains the full set of 13,772 data records from the
#' FishStat \emph{Species Groups} data table. Column names have been simplified
#' to facilitate quick exploration and plotting in R.
#'
#' @source
#' FAO (2026).
#' Global Production.
#' Fisheries and Aquaculture Division. Rome.
#'
#' \url{https://www.fao.org/fishery/en/collection/global_production}
#'
#' @seealso
#' \code{\link{aquaculture}} and \code{\link{capture}} data are also
#' available in a combined \code{\link{production}} format.
#'
#' \code{\link{area}}, \code{\link{country}}, \code{\link{environment}},
#' \code{\link{measure}}, \code{\link{source}}, \code{\link{species}}, and
#' \code{\link{status}} are lookup tables.
#'
#' \code{\link{fishstat-package}} gives an overview of the package.
#'
#' @examples
#' head(species, 3)
#'
#' # Select species entries that have non-zero production
#' nonzero <- unique(production$species[production$value > 0])
#' species.nz <- species[species$species %in% nonzero,]
#' length(species.nz$species)
#'
#' # Only species, scientific, major, and taxonomic are always defined
#' cbind(sapply(species, function(x) all(x != "")))
#'
#' # Plus isscaap and yearbook for non-zero production
#' cbind(sapply(species.nz, function(x) all(x != "")))
#'
#' # A variety of species are missing species_name, cpc_class, cpc_group
#' cbind(table(species.nz$major[species.nz$species_name == ""]))
#' cbind(table(species.nz$major[species.nz$cpc_class == ""]))
#' cbind(table(species.nz$major[species.nz$cpc_group == ""]))
#'
#' # Number of species entries that have non-zero production by major taxa
#' cbind(table(species.nz$major))
#'
#' # By yearbook categories and major taxa
#' table(species.nz$major, species.nz$yearbook)
#'
#' # Number of unique yearbook categories, major taxa, isscaap groups, etc.
#' cbind(sapply(species.nz, function(x) length(unique(x))))
#'
#' # The scientific and species_name entries are not unique
#' table(species.nz$scientific)[table(species.nz$scientific) > 1]
#' table(species.nz$species_name)[table(species.nz$species_name) > 1]
#'
#' # Examine one species
#' print.simple.list(species[species$species_name == "Atlantic cod",])
#' print.simple.list(species[species$species == "YFT",])
#'
#' # English name when available, otherwise scientific name (FishStatJ style)
#' species$species_alt <- ifelse(species$species_name != "",
#'                               species$species_name,
#'                               paste0("[", species$scientific, "]"))
#' species[grep("Hoplias", species$scientific),
#'         c("species_name", "scientific", "species_alt")]

NA

#' @docType data
#'
#' @name country
#'
#' @title Countries
#'
#' @description Countries and various territories, defined by FAO (2026).
#'
#' @usage
#' country
#'
#' @format
#' Data frame containing eight columns:
#' \tabular{ll}{
#'   \code{country}      \tab country code\cr
#'   \code{country_name} \tab country name\cr
#'   \code{iso2}         \tab ISO 2-alpha code\cr
#'   \code{iso3}         \tab ISO 3-alpha code\cr
#'   \code{continent}    \tab continent\cr
#'   \code{georegion}    \tab geographic region\cr
#'   \code{ecoclass}     \tab economic class\cr
#'   \code{official}     \tab official country name
#' }
#'
#' @details
#' This data frame contains the full set of 275 data records from the FishStat
#' \emph{Country Groups} data table. Column names have been simplified to
#' facilitate quick exploration and plotting in R.
#'
#' @source
#' FAO (2026).
#' Global Production.
#' Fisheries and Aquaculture Division. Rome.
#'
#' \url{https://www.fao.org/fishery/en/collection/global_production}
#'
#' @seealso
#' \code{\link{aquaculture}} and \code{\link{capture}} data are also
#' available in a combined \code{\link{production}} format.
#'
#' \code{\link{area}}, \code{\link{country}}, \code{\link{environment}},
#' \code{\link{measure}}, \code{\link{source}}, \code{\link{species}}, and
#' \code{\link{status}} are lookup tables.
#'
#' \code{\link{fishstat-package}} gives an overview of the package.
#'
#' @examples
#' head(country)
#'
#' # Regions within continents
#' table(country$georegion, country$continent)
#'
#' # Select country entries that have non-zero production
#' nonzero <- unique(production$country[production$value > 0])
#' country.nz <- country[country$country %in% nonzero,]
#' length(country.nz$country)
#'
#' # Only country and country_name are always defined
#' cbind(sapply(country, function(x) all(x != "")))
#'
#' # Columns defined for non-zero production
#' cbind(sapply(country.nz, function(x) all(x != "")))
#'
#' # Economic class levels
#' sort(unique(country$ecoclass))
#'
#' # Examine individual countries
#' print.simple.list(country[country$iso2 == "IS",])
#' print.simple.list(country[country$country_name == "Samoa",])

NA

#' @docType data
#'
#' @name aquaculture
#'
#' @title Global Aquaculture Production
#'
#' @description
#' Aquaculture production quantity by species, area, country, and aquatic
#' environment for the years 1950-2024, compiled and published by FAO (2026).
#'
#' @usage
#' aquaculture
#'
#' @format
#' Data frame containing eight columns:
#' \tabular{ll}{
#'   \code{species}     \tab \code{\link{species}} code\cr
#'   \code{year}        \tab year\cr
#'   \code{area}        \tab \code{\link{area}} code\cr
#'   \code{country}     \tab \code{\link{country}} code\cr
#'   \code{value}       \tab quantity in tonnes\cr
#'   \code{measure}     \tab \code{\link{measure}} code\cr
#'   \code{status}      \tab \code{\link{status}} code\cr
#'   \code{environment} \tab \code{\link{environment}} code
#' }
#'
#' @details
#' This data frame contains the full set of 107,419 data records from the
#' FishStat \emph{Aquaculture Quantity} data table. Column names have been
#' simplified to facilitate quick exploration and plotting in R.
#'
#' @source
#' FAO (2026).
#' Global Aquaculture Production.
#' Fisheries and Aquaculture Division. Rome.
#'
#' \url{https://www.fao.org/fishery/en/collection/aquaculture}
#'
#' @seealso
#' \code{\link{aquaculture}} and \code{\link{capture}} data are also
#' available in a combined \code{\link{production}} format.
#'
#' \code{\link{area}}, \code{\link{country}}, \code{\link{environment}},
#' \code{\link{measure}}, \code{\link{source}}, \code{\link{species}}, and
#' \code{\link{status}} are lookup tables.
#'
#' \code{\link{fishstat-package}} gives an overview of the package.
#'
#' @examples
#' head(aquaculture)
#'
#' # Add species columns
#' aqua <- merge(aquaculture, species)
#'
#' # Top 10 aquaculture species in 2024, production in tonnes
#' x <- aggregate(value~species_name, aqua, sum, subset=year==2024)
#' x$value <- round(x$value)
#' head(x[order(-x$value),], 10)
#'
#' # Total aquaculture production by major taxa since 1950, in million tonnes
#' aggregate(value~tolower(major), aqua, function(x) round(sum(x/1e6)))
#'
#' # Annual aquaculture production of all animals
#' x <- aggregate(value~year, aqua, sum, subset=major!="PLANTAE AQUATICAE")
#' plot(value/1e6~year, x, ylab="million tonnes", type="l")
#' title(main="Aquaculture production: All animals")

NA

#' @docType data
#'
#' @name area
#'
#' @title Areas
#'
#' @description Major inland and marine fishing areas, defined by FAO (2026).
#'
#' @usage
#' area
#'
#' @format
#' Data frame containing five columns:
#' \tabular{ll}{
#'   \code{area}         \tab area code\cr
#'   \code{area_name}    \tab area name\cr
#'   \code{inlandmarine} \tab inland or marine\cr
#'   \code{faregion}     \tab northern, central, or southern (marine fishing
#'                            areas)\cr
#'   \code{ocean}        \tab Atlantic, Indian, Pacific, or Southern Ocean
#'                            (marine fishing areas)
#' }
#'
#' @details
#' This data frame contains the full set of 29 data records from the FishStat
#' \emph{Water Area Groups} data table. Column names have been simplified to
#' facilitate quick exploration and plotting in R.
#'
#' @source
#' FAO (2026).
#' Global Production.
#' Fisheries and Aquaculture Division. Rome.
#'
#' \url{https://www.fao.org/fishery/en/collection/global_production}
#'
#' @seealso
#' \code{\link{aquaculture}} and \code{\link{capture}} data are also
#' available in a combined \code{\link{production}} format.
#'
#' \code{\link{area}}, \code{\link{country}}, \code{\link{environment}},
#' \code{\link{measure}}, \code{\link{source}}, \code{\link{species}}, and
#' \code{\link{status}} are lookup tables.
#'
#' \code{\link{fishstat-package}} gives an overview of the package.
#'
#' @examples
#' head(area)
#'
#' # Inland waters and marine areas
#' area[area$inlandmarine == "Inland waters", c("area", "area_name")]
#' area[area$inlandmarine == "Marine areas", c("area", "area_name")]
#'
#' # Check if any area has zero production
#' nonzero <- unique(production$area[production$value > 0])
#' print(area[!(area$area %in% nonzero),], row.names=FALSE)
#'
#' # Check which species groups are recorded in areas 98 and 99
#' species_98_99 <- unique(production$species[production$area %in% 98:99])
#' cbind(unique(species$isscaap[species$species %in% species_98_99]))
#'
#' # Marine fishing areas in northern, central, and southern regions
#' area$area[area$faregion == "Northern regions"]
#' area$area[area$faregion == "Central regions"]
#' area$area[area$faregion == "Southern regions"]
#'
#' # Examine one area
#' print.simple.list(area[area$area == 71,])

NA

#' @docType data
#'
#' @name source
#'
#' @title Sources
#'
#' @description
#' Sources of aquaculture and capture production, defined by FAO (2026).
#'
#' @usage
#' source
#'
#' @format
#' Data frame containing two columns:
#' \tabular{ll}{
#'   \code{source}      \tab source code\cr
#'   \code{source_name} \tab source name
#' }
#'
#' @details
#' This data frame contains the full set of 4 data records from the FishStat
#' \emph{Production Source} data table. Column names have been simplified
#' to facilitate quick exploration and plotting in R.
#'
#' @source
#' FAO (2026).
#' Global Production.
#' Fisheries and Aquaculture Division. Rome.
#'
#' \url{https://www.fao.org/fishery/en/collection/global_production}
#'
#' @seealso
#' \code{\link{aquaculture}} and \code{\link{capture}} data are also
#' available in a combined \code{\link{production}} format.
#'
#' \code{\link{area}}, \code{\link{country}}, \code{\link{environment}},
#' \code{\link{measure}}, \code{\link{source}}, \code{\link{species}}, and
#' \code{\link{status}} are lookup tables.
#'
#' \code{\link{fishstat-package}} gives an overview of the package.
#'
#' @examples
#' source
#'
#' # Analyze production measured in tonnes
#' prod <- production[production$measure == "Q_tlw" & production$value > 0,]
#' prod <- merge(prod, source)
#'
#' # Production by source in 2024, in million tonnes
#' x <- aggregate(value~source_name, prod, sum, subset=year==2024)
#' transform(x, value=round(value/1e6))

NA

#' @docType data
#'
#' @name production
#'
#' @title Global Aquaculture and Capture Production
#'
#' @description
#' Aquaculture and capture production quantity by species, area, and country for
#' the years 1950-2024, compiled and published by FAO (2026).
#'
#' @usage
#' production
#'
#' @format
#' Data frame containing eight columns:
#' \tabular{ll}{
#'   \code{species} \tab \code{\link{species}} code\cr
#'   \code{year}    \tab year\cr
#'   \code{area}    \tab \code{\link{area}} code\cr
#'   \code{country} \tab \code{\link{country}} code\cr
#'   \code{value}   \tab quantity in tonnes or number of individuals\cr
#'   \code{measure} \tab \code{\link{measure}} code\cr
#'   \code{status}  \tab \code{\link{status}} code\cr
#'   \code{source}  \tab \code{\link{source}} code
#' }
#'
#' @details
#' This data frame contains the full set of 1,159,616 data records from the
#' FishStat \emph{Production Quantity} data table. Column names have been
#' simplified to facilitate quick exploration and plotting in R.
#'
#' @source
#' FAO (2026).
#' Global Production.
#' Fisheries and Aquaculture Division. Rome.
#'
#' \url{https://www.fao.org/fishery/en/collection/global_production}
#'
#' @seealso
#' \code{\link{aquaculture}} and \code{\link{capture}} data are also
#' available in a combined \code{\link{production}} format.
#'
#' \code{\link{area}}, \code{\link{country}}, \code{\link{environment}},
#' \code{\link{measure}}, \code{\link{source}}, \code{\link{species}}, and
#' \code{\link{status}} are lookup tables.
#'
#' \code{\link{fishstat-package}} gives an overview of the package.
#'
#' @examples
#' head(production)
#'
#' # Analyze production measured in tonnes
#' prod <- production[production$measure == "Q_tlw" & production$value > 0,]
#'
#' # Fast merge yearbook and inlandmarine columns
#' prod$yearbook <- species$yearbook[match(prod$species, species$species)]
#' prod$inlandmarine <- area$inlandmarine[match(prod$area, area$area)]
#'
#' # Select SOFIA species, excluding mammals, reptiles, and plants
#' prod <- prod[grep("Fish, crustaceans and molluscs", prod$yearbook, fixed=TRUE),]
#'
#' # Determine origin
#' prod$origin <- ifelse(prod$source == "CAPTURE", "Capture", "Aquaculture")
#' prod$w <- ifelse(prod$inlandmarine == "Marine areas", "marine", "inland")
#' prod$origin <- paste0(prod$origin, " (", prod$w, ")")
#' cbind(sort(unique(prod$origin)))
#'
#' # World capture fisheries and aquaculture production
#' x <- xtabs(value~year+origin, aggregate(value~year+origin, prod, sum))
#' x <- x / 1e6
#' library(areaplot)
#' areaplot(x, legend=TRUE, args.legend=list(x="topleft"), ylab="million tonnes")

NA

#' @docType data
#'
#' @name measure
#'
#' @title Measures
#'
#' @description Units of measurement, defined by FAO (2026).
#'
#' @usage
#' measure
#'
#' @format
#' Data frame containing seven columns:
#' \tabular{ll}{
#'   \code{measure}             \tab measure code\cr
#'   \code{measure_name}        \tab measure name\cr
#'   \code{short}               \tab short name\cr
#'   \code{multiplier}          \tab unit multiplier\cr
#'   \code{unit}                \tab unit symbol\cr
#'   \code{measure_description} \tab measure description\cr
#'   \code{sws}                 \tab SWS code
#' }
#'
#' @details
#' This data frame contains the full set of 11 data records from the FishStat
#' \emph{Units} data table. Column names have been simplified to facilitate
#' quick exploration and plotting in R.
#'
#' @source
#' FAO (2026).
#' Global Production.
#' Fisheries and Aquaculture Division. Rome.
#'
#' \url{https://www.fao.org/fishery/en/collection/global_production}
#'
#' @seealso
#' \code{\link{aquaculture}} and \code{\link{capture}} data are also
#' available in a combined \code{\link{production}} format.
#'
#' \code{\link{area}}, \code{\link{country}}, \code{\link{environment}},
#' \code{\link{measure}}, \code{\link{source}}, \code{\link{species}}, and
#' \code{\link{status}} are lookup tables.
#'
#' \code{\link{fishstat-package}} gives an overview of the package.
#'
#' @examples
#' head(measure, 3)
#'
#' # Aquaculture production is measured in tonnes live weight
#' table(aquaculture$measure)
#'
#' # Capture production is measured in tonnes or number of individuals
#' table(capture$measure)
#'
#' # When number of individuals is used, it is for mammals and reptiles
#' x <- merge(capture[capture$measure=="Q_no_1",], species)
#' aggregate(value~isscaap, x, sum)
#' aggregate(value~isscaap, x, sum, subset=year==2024)
#'
#' # Examine one measure
#' print.simple.list(measure[measure$measure=="Q_tlw",])

NA

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/capture.R
\docType{data}
\name{capture}
\alias{capture}
\title{Global Capture Production}
\format{
Data frame containing seven columns:
\tabular{ll}{
  \code{species} \tab \code{\link{species}} code\cr
  \code{year}    \tab year\cr
  \code{area}    \tab \code{\link{area}} code\cr
  \code{country} \tab \code{\link{country}} code\cr
  \code{value}   \tab quantity in tonnes or number of individuals\cr
  \code{measure} \tab \code{\link{measure}} code\cr
  \code{status}  \tab \code{\link{status}} code
}
}
\source{
FAO (2026).
Global Capture Production.
Fisheries and Aquaculture Division. Rome.

\url{https://www.fao.org/fishery/en/collection/capture}
}
\usage{
capture
}
\description{
Capture production quantity by species, area, and country for the years
1950-2024, compiled and published by FAO (2026).
}
\details{
This data frame contains the full set of 1,052,197 data records from the
FishStat \emph{Capture Quantity} data table. Column names have been
simplified to facilitate quick exploration and plotting in R.
}
\examples{
head(capture)

# Analyze catches measured in tonnes
cap <- aggregate(value~species+year, capture, sum, subset=measure=="Q_tlw")
cap <- merge(cap, species[c("species", "species_name", "major")])

# Top 10 capture species in 2024
x <- aggregate(value~species_name, cap, sum, subset=year==2024)
x$value <- round(x$value)
head(x[order(-x$value),], 10)

# Total capture production by major taxa since 1950, in million tonnes
x <- aggregate(value~tolower(major), cap, function(x) round(sum(x/1e6)))
x[x$value > 0,]

# Annual capture production of all animals
x <- aggregate(value~year, cap, sum, subset=major!="PLANTAE AQUATICAE")
plot(value/1e6~year, x, ylim=c(0,105), ylab="million tonnes", type="l")
title(main="Capture production: All animals")
}
\seealso{
\code{\link{aquaculture}} and \code{\link{capture}} data are also
available in a combined \code{\link{production}} format.

\code{\link{area}}, \code{\link{country}}, \code{\link{environment}},
\code{\link{measure}}, \code{\link{source}}, \code{\link{species}}, and
\code{\link{status}} are lookup tables.

\code{\link{fishstat-package}} gives an overview of the package.
}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/aquaculture.R
\docType{data}
\name{aquaculture}
\alias{aquaculture}
\title{Global Aquaculture Production}
\format{
Data frame containing eight columns:
\tabular{ll}{
  \code{species}     \tab \code{\link{species}} code\cr
  \code{year}        \tab year\cr
  \code{area}        \tab \code{\link{area}} code\cr
  \code{country}     \tab \code{\link{country}} code\cr
  \code{value}       \tab quantity in tonnes\cr
  \code{measure}     \tab \code{\link{measure}} code\cr
  \code{status}      \tab \code{\link{status}} code\cr
  \code{environment} \tab \code{\link{environment}} code
}
}
\source{
FAO (2026).
Global Aquaculture Production.
Fisheries and Aquaculture Division. Rome.

\url{https://www.fao.org/fishery/en/collection/aquaculture}
}
\usage{
aquaculture
}
\description{
Aquaculture production quantity by species, area, country, and aquatic
environment for the years 1950-2024, compiled and published by FAO (2026).
}
\details{
This data frame contains the full set of 107,419 data records from the
FishStat \emph{Aquaculture Quantity} data table. Column names have been
simplified to facilitate quick exploration and plotting in R.
}
\examples{
head(aquaculture)

# Add species columns
aqua <- merge(aquaculture, species)

# Top 10 aquaculture species in 2024, production in tonnes
x <- aggregate(value~species_name, aqua, sum, subset=year==2024)
x$value <- round(x$value)
head(x[order(-x$value),], 10)

# Total aquaculture production by major taxa since 1950, in million tonnes
aggregate(value~tolower(major), aqua, function(x) round(sum(x/1e6)))

# Annual aquaculture production of all animals
x <- aggregate(value~year, aqua, sum, subset=major!="PLANTAE AQUATICAE")
plot(value/1e6~year, x, ylab="million tonnes", type="l")
title(main="Aquaculture production: All animals")
}
\seealso{
\code{\link{aquaculture}} and \code{\link{capture}} data are also
available in a combined \code{\link{production}} format.

\code{\link{area}}, \code{\link{country}}, \code{\link{environment}},
\code{\link{measure}}, \code{\link{source}}, \code{\link{species}}, and
\code{\link{status}} are lookup tables.

\code{\link{fishstat-package}} gives an overview of the package.
}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/production.R
\docType{data}
\name{production}
\alias{production}
\title{Global Aquaculture and Capture Production}
\format{
Data frame containing eight columns:
\tabular{ll}{
  \code{species} \tab \code{\link{species}} code\cr
  \code{year}    \tab year\cr
  \code{area}    \tab \code{\link{area}} code\cr
  \code{country} \tab \code{\link{country}} code\cr
  \code{value}   \tab quantity in tonnes or number of individuals\cr
  \code{measure} \tab \code{\link{measure}} code\cr
  \code{status}  \tab \code{\link{status}} code\cr
  \code{source}  \tab \code{\link{source}} code
}
}
\source{
FAO (2026).
Global Production.
Fisheries and Aquaculture Division. Rome.

\url{https://www.fao.org/fishery/en/collection/global_production}
}
\usage{
production
}
\description{
Aquaculture and capture production quantity by species, area, and country for
the years 1950-2024, compiled and published by FAO (2026).
}
\details{
This data frame contains the full set of 1,159,616 data records from the
FishStat \emph{Production Quantity} data table. Column names have been
simplified to facilitate quick exploration and plotting in R.
}
\examples{
head(production)

# Analyze production measured in tonnes
prod <- production[production$measure == "Q_tlw" & production$value > 0,]

# Fast merge yearbook and inlandmarine columns
prod$yearbook <- species$yearbook[match(prod$species, species$species)]
prod$inlandmarine <- area$inlandmarine[match(prod$area, area$area)]

# Select SOFIA species, excluding mammals, reptiles, and plants
prod <- prod[grep("Fish, crustaceans and molluscs", prod$yearbook, fixed=TRUE),]

# Determine origin
prod$origin <- ifelse(prod$source == "CAPTURE", "Capture", "Aquaculture")
prod$w <- ifelse(prod$inlandmarine == "Marine areas", "marine", "inland")
prod$origin <- paste0(prod$origin, " (", prod$w, ")")
cbind(sort(unique(prod$origin)))

# World capture fisheries and aquaculture production
x <- xtabs(value~year+origin, aggregate(value~year+origin, prod, sum))
x <- x / 1e6
library(areaplot)
areaplot(x, legend=TRUE, args.legend=list(x="topleft"), ylab="million tonnes")
}
\seealso{
\code{\link{aquaculture}} and \code{\link{capture}} data are also
available in a combined \code{\link{production}} format.

\code{\link{area}}, \code{\link{country}}, \code{\link{environment}},
\code{\link{measure}}, \code{\link{source}}, \code{\link{species}}, and
\code{\link{status}} are lookup tables.

\code{\link{fishstat-package}} gives an overview of the package.
}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/source.R
\docType{data}
\name{source}
\alias{source}
\title{Sources}
\format{
Data frame containing two columns:
\tabular{ll}{
  \code{source}      \tab source code\cr
  \code{source_name} \tab source name
}
}
\source{
FAO (2026).
Global Production.
Fisheries and Aquaculture Division. Rome.

\url{https://www.fao.org/fishery/en/collection/global_production}
}
\usage{
source
}
\description{
Sources of aquaculture and capture production, defined by FAO (2026).
}
\details{
This data frame contains the full set of 4 data records from the FishStat
\emph{Production Source} data table. Column names have been simplified
to facilitate quick exploration and plotting in R.
}
\examples{
source

# Analyze production measured in tonnes
prod <- production[production$measure == "Q_tlw" & production$value > 0,]
prod <- merge(prod, source)

# Production by source in 2024, in million tonnes
x <- aggregate(value~source_name, prod, sum, subset=year==2024)
transform(x, value=round(value/1e6))
}
\seealso{
\code{\link{aquaculture}} and \code{\link{capture}} data are also
available in a combined \code{\link{production}} format.

\code{\link{area}}, \code{\link{country}}, \code{\link{environment}},
\code{\link{measure}}, \code{\link{source}}, \code{\link{species}}, and
\code{\link{status}} are lookup tables.

\code{\link{fishstat-package}} gives an overview of the package.
}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fishstat-package.R
\docType{package}
\name{fishstat-package}
\alias{fishstat-package}
\alias{fishstat}
\title{Global Fishery and Aquaculture Statistics}
\description{
The Food and Agriculture Organization of the United Nations (FAO) FishStat
database is the leading source of global fishery and aquaculture statistics
and provides unique information for sector analysis and monitoring.

This package provides the global production data from all fisheries and
aquaculture in R format, ready for analysis.
}
\details{
\emph{Production tables:}
\tabular{ll}{
  \code{\link{aquaculture}} \tab aquaculture production\cr
  \code{\link{capture}}     \tab capture production\cr
  \code{\link{production}}  \tab aquaculture and capture production
}
\emph{Lookup tables:}
\tabular{ll}{
  \code{\link{area}}        \tab fishing areas\cr
  \code{\link{country}}     \tab countries and territories\cr
  \code{\link{environment}} \tab aquaculture environments\cr
  \code{\link{measure}}     \tab units of measurement\cr
  \code{\link{source}}      \tab sources of production\cr
  \code{\link{species}}     \tab taxonomic groups\cr
  \code{\link{status}}      \tab status of data entries
}
}
\note{
The data in the package were downloaded from the FAO
\href{https://www.fao.org/fishery/static/Data/}{data server} and imported
into R. The R package version indicates the version of FishStat data it
includes. Column names have been simplified to facilitate quick exploration
and plotting in R.

An effort has been made to describe each table in the corresponding R help
page. However, the official and authoritative documentation of the FishStat
database is found on the FAO
\href{https://www.fao.org/fishery/en/fishstat}{FishStat} website.

The example below demonstrates how the FishStat data can be used to produce
an overview of global fisheries and aquaculture. The combination of FishStat
and the R environment can also be very efficient for analyses that focus on
selected areas, countries, species, and/or taxonomic groups.
}
\section{Joining Tables}{

Production tables can be joined with lookup tables using the
\code{\link{merge}} function, as demonstrated in the help page examples for
\code{\link{aquaculture}} and \code{\link{capture}} production. The column
names in this package have been designed to allow automatic inference of
which columns to join, and the resulting table will have unique column names.

The \code{merge} function is generally useful for joining tables, but other
join methods are available in R that can be faster but require either
additional packages or more coding. The \code{\link{production}} example uses
square brackets and the \code{match} function to add one lookup column at a
time to the production table. Compared to the slower \code{merge} function,
this saves time, both for users and CRAN servers running maintenance tests.

Rather than optimizing speed or memory footprint, one can optimize
convenience by constructing a full table with all data records and all
columns:\preformatted{
prod.all <- merge(merge(merge(merge(merge(merge(production,
                  area), country), measure), source), species), status)
cap.all <- merge(merge(merge(merge(merge(capture,
                 area), country), measure), species), status)
aqua.all <- merge(merge(merge(merge(merge(merge(aquaculture,
                  area), country), environment), measure), species), status)}

Popular paradigms for joining tables include:
\itemize{
  \item Base R, where \code{merge} returns a \code{data.frame}.
  \item The \code{dplyr} package, where \code{inner_join} returns a
        \code{tibble}.
  \item The \code{data.table} package, where \code{merge} returns a
        \code{data.table}.
}
}

\examples{
head(production)

# Analyze production measured in tonnes
prod <- production[production$measure == "Q_tlw" & production$value > 0,]

# Fast merge yearbook and inlandmarine columns
prod$yearbook <- species$yearbook[match(prod$species, species$species)]
prod$inlandmarine <- area$inlandmarine[match(prod$area, area$area)]

# Select SOFIA species, excluding mammals, reptiles, and plants
prod <- prod[grep("Fish, crustaceans and molluscs", prod$yearbook, fixed=TRUE),]

# Determine origin
prod$origin <- ifelse(prod$source == "CAPTURE", "Capture", "Aquaculture")
prod$w <- ifelse(prod$inlandmarine == "Marine areas", "marine", "inland")
prod$origin <- paste0(prod$origin, " (", prod$w, ")")
cbind(sort(unique(prod$origin)))

# World capture fisheries and aquaculture production
x <- xtabs(value~year+origin, aggregate(value~year+origin, prod, sum))
x <- x / 1e6
library(areaplot)
areaplot(x, legend=TRUE, args.legend=list(x="topleft"), ylab="million tonnes")
}
\seealso{
The package on CRAN provides the latest FishStat data, within a few weeks
after an official FAO data release. For research and reference purposes,
packages containing older data releases are available on GitHub with
descriptive names. For example, the \pkg{fishstat21} and \pkg{fishstat22}
packages contain the FAO FishStat data releases from 2021 and 2022:
\preformatted{
install_github("https://github.com/sofia-taf/fishstat21")
install_github("https://github.com/sofia-taf/fishstat22")}
}
\author{
Arni Magnusson and Rishi Sharma created this R package.

All credit for the FishStat database goes to the Statistics Team of the FAO
Fisheries and Aquaculture Division, as well as national data submitters. The
database \href{https://www.fao.org/contact-us/terms/db-terms-of-use/en}{terms
of use} are based on the
\href{https://creativecommons.org/licenses/by-nc-sa/3.0/igo/}{CC BY-NC-SA 3.0
IGO} license. The R package is released under a similar
\href{https://creativecommons.org/licenses/by-nc-sa/4.0/}{CC BY-NC-SA 4.0}
license.

\emph{To cite the use of FishStat data:}

FAO. [Year].
FishStat data.
Fisheries and Aquaculture Division. Rome.
\url{https://www.fao.org/fishery/en/fishstat}.

\emph{To cite the use of this R package to access the data, cite FishStat
(above) as well as:}

Magnusson, A. and R. Sharma. [Year].
fishstat: Global Fishery and Aquaculture Statistics.
R package version [Version].
\url{https://cran.r-project.org/package=fishstat}.
}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/species.R
\docType{data}
\name{species}
\alias{species}
\title{Species}
\format{
Data frame containing ten columns:
\tabular{ll}{
  \code{species}      \tab species code\cr
  \code{species_name} \tab species name\cr
  \code{scientific}   \tab scientific name\cr
  \code{isscaap}      \tab ISSCAAP group\cr
  \code{major}        \tab major taxa\cr
  \code{cpc_class}    \tab CPC class\cr
  \code{cpc_group}    \tab CPC group\cr
  \code{yearbook}     \tab yearbook category\cr
  \code{author}       \tab author of scientific name\cr
  \code{taxonomic}    \tab taxonomic code
}
}
\source{
FAO (2026).
Global Production.
Fisheries and Aquaculture Division. Rome.

\url{https://www.fao.org/fishery/en/collection/global_production}
}
\usage{
species
}
\description{
Aquatic species and taxonomic groups, defined by FAO (2026).
}
\details{
This data frame contains the full set of 13,772 data records from the
FishStat \emph{Species Groups} data table. Column names have been simplified
to facilitate quick exploration and plotting in R.
}
\examples{
head(species, 3)

# Select species entries that have non-zero production
nonzero <- unique(production$species[production$value > 0])
species.nz <- species[species$species \%in\% nonzero,]
length(species.nz$species)

# Only species, scientific, major, and taxonomic are always defined
cbind(sapply(species, function(x) all(x != "")))

# Plus isscaap and yearbook for non-zero production
cbind(sapply(species.nz, function(x) all(x != "")))

# A variety of species are missing species_name, cpc_class, cpc_group
cbind(table(species.nz$major[species.nz$species_name == ""]))
cbind(table(species.nz$major[species.nz$cpc_class == ""]))
cbind(table(species.nz$major[species.nz$cpc_group == ""]))

# Number of species entries that have non-zero production by major taxa
cbind(table(species.nz$major))

# By yearbook categories and major taxa
table(species.nz$major, species.nz$yearbook)

# Number of unique yearbook categories, major taxa, isscaap groups, etc.
cbind(sapply(species.nz, function(x) length(unique(x))))

# The scientific and species_name entries are not unique
table(species.nz$scientific)[table(species.nz$scientific) > 1]
table(species.nz$species_name)[table(species.nz$species_name) > 1]

# Examine one species
print.simple.list(species[species$species_name == "Atlantic cod",])
print.simple.list(species[species$species == "YFT",])

# English name when available, otherwise scientific name (FishStatJ style)
species$species_alt <- ifelse(species$species_name != "",
                              species$species_name,
                              paste0("[", species$scientific, "]"))
species[grep("Hoplias", species$scientific),
        c("species_name", "scientific", "species_alt")]
}
\seealso{
\code{\link{aquaculture}} and \code{\link{capture}} data are also
available in a combined \code{\link{production}} format.

\code{\link{area}}, \code{\link{country}}, \code{\link{environment}},
\code{\link{measure}}, \code{\link{source}}, \code{\link{species}}, and
\code{\link{status}} are lookup tables.

\code{\link{fishstat-package}} gives an overview of the package.
}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/measure.R
\docType{data}
\name{measure}
\alias{measure}
\title{Measures}
\format{
Data frame containing seven columns:
\tabular{ll}{
  \code{measure}             \tab measure code\cr
  \code{measure_name}        \tab measure name\cr
  \code{short}               \tab short name\cr
  \code{multiplier}          \tab unit multiplier\cr
  \code{unit}                \tab unit symbol\cr
  \code{measure_description} \tab measure description\cr
  \code{sws}                 \tab SWS code
}
}
\source{
FAO (2026).
Global Production.
Fisheries and Aquaculture Division. Rome.

\url{https://www.fao.org/fishery/en/collection/global_production}
}
\usage{
measure
}
\description{
Units of measurement, defined by FAO (2026).
}
\details{
This data frame contains the full set of 11 data records from the FishStat
\emph{Units} data table. Column names have been simplified to facilitate
quick exploration and plotting in R.
}
\examples{
head(measure, 3)

# Aquaculture production is measured in tonnes live weight
table(aquaculture$measure)

# Capture production is measured in tonnes or number of individuals
table(capture$measure)

# When number of individuals is used, it is for mammals and reptiles
x <- merge(capture[capture$measure=="Q_no_1",], species)
aggregate(value~isscaap, x, sum)
aggregate(value~isscaap, x, sum, subset=year==2024)

# Examine one measure
print.simple.list(measure[measure$measure=="Q_tlw",])
}
\seealso{
\code{\link{aquaculture}} and \code{\link{capture}} data are also
available in a combined \code{\link{production}} format.

\code{\link{area}}, \code{\link{country}}, \code{\link{environment}},
\code{\link{measure}}, \code{\link{source}}, \code{\link{species}}, and
\code{\link{status}} are lookup tables.

\code{\link{fishstat-package}} gives an overview of the package.
}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/status.R
\docType{data}
\name{status}
\alias{status}
\title{Status}
\format{
Data frame containing four columns:
\tabular{ll}{
  \code{status}             \tab status code\cr
  \code{status_name}        \tab status name\cr
  \code{status_description} \tab short name\cr
  \code{alternate}          \tab unit multiplier
}
}
\source{
FAO (2026).
Global Production.
Fisheries and Aquaculture Division. Rome.

\url{https://www.fao.org/fishery/en/collection/global_production}
}
\usage{
status
}
\description{
Status of data entries, defined by FAO (2026).
}
\details{
This data frame contains the full set of 16 data records from the FishStat
\emph{Symbols} data table. Column names have been simplified to facilitate
quick exploration and plotting in R.
}
\examples{
head(status, 3)

# Aquaculture data entries
# Percentage that have official status, estimated, and negligible
100 * proportions(table(aquaculture$status))

# Capture data entries
# Percentage that have official status, estimated, and negligible
100 * proportions(table(capture$status))

# Examine one status definition
print.simple.list(status[status$status=="N",])
}
\seealso{
\code{\link{aquaculture}} and \code{\link{capture}} data are also
available in a combined \code{\link{production}} format.

\code{\link{area}}, \code{\link{country}}, \code{\link{environment}},
\code{\link{measure}}, \code{\link{source}}, \code{\link{species}}, and
\code{\link{status}} are lookup tables.

\code{\link{fishstat-package}} gives an overview of the package.
}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/area.R
\docType{data}
\name{area}
\alias{area}
\title{Areas}
\format{
Data frame containing five columns:
\tabular{ll}{
  \code{area}         \tab area code\cr
  \code{area_name}    \tab area name\cr
  \code{inlandmarine} \tab inland or marine\cr
  \code{faregion}     \tab northern, central, or southern (marine fishing
                           areas)\cr
  \code{ocean}        \tab Atlantic, Indian, Pacific, or Southern Ocean
                           (marine fishing areas)
}
}
\source{
FAO (2026).
Global Production.
Fisheries and Aquaculture Division. Rome.

\url{https://www.fao.org/fishery/en/collection/global_production}
}
\usage{
area
}
\description{
Major inland and marine fishing areas, defined by FAO (2026).
}
\details{
This data frame contains the full set of 29 data records from the FishStat
\emph{Water Area Groups} data table. Column names have been simplified to
facilitate quick exploration and plotting in R.
}
\examples{
head(area)

# Inland waters and marine areas
area[area$inlandmarine == "Inland waters", c("area", "area_name")]
area[area$inlandmarine == "Marine areas", c("area", "area_name")]

# Check if any area has zero production
nonzero <- unique(production$area[production$value > 0])
print(area[!(area$area \%in\% nonzero),], row.names=FALSE)

# Check which species groups are recorded in areas 98 and 99
species_98_99 <- unique(production$species[production$area \%in\% 98:99])
cbind(unique(species$isscaap[species$species \%in\% species_98_99]))

# Marine fishing areas in northern, central, and southern regions
area$area[area$faregion == "Northern regions"]
area$area[area$faregion == "Central regions"]
area$area[area$faregion == "Southern regions"]

# Examine one area
print.simple.list(area[area$area == 71,])
}
\seealso{
\code{\link{aquaculture}} and \code{\link{capture}} data are also
available in a combined \code{\link{production}} format.

\code{\link{area}}, \code{\link{country}}, \code{\link{environment}},
\code{\link{measure}}, \code{\link{source}}, \code{\link{species}}, and
\code{\link{status}} are lookup tables.

\code{\link{fishstat-package}} gives an overview of the package.
}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/country.R
\docType{data}
\name{country}
\alias{country}
\title{Countries}
\format{
Data frame containing eight columns:
\tabular{ll}{
  \code{country}      \tab country code\cr
  \code{country_name} \tab country name\cr
  \code{iso2}         \tab ISO 2-alpha code\cr
  \code{iso3}         \tab ISO 3-alpha code\cr
  \code{continent}    \tab continent\cr
  \code{georegion}    \tab geographic region\cr
  \code{ecoclass}     \tab economic class\cr
  \code{official}     \tab official country name
}
}
\source{
FAO (2026).
Global Production.
Fisheries and Aquaculture Division. Rome.

\url{https://www.fao.org/fishery/en/collection/global_production}
}
\usage{
country
}
\description{
Countries and various territories, defined by FAO (2026).
}
\details{
This data frame contains the full set of 275 data records from the FishStat
\emph{Country Groups} data table. Column names have been simplified to
facilitate quick exploration and plotting in R.
}
\examples{
head(country)

# Regions within continents
table(country$georegion, country$continent)

# Select country entries that have non-zero production
nonzero <- unique(production$country[production$value > 0])
country.nz <- country[country$country \%in\% nonzero,]
length(country.nz$country)

# Only country and country_name are always defined
cbind(sapply(country, function(x) all(x != "")))

# Columns defined for non-zero production
cbind(sapply(country.nz, function(x) all(x != "")))

# Economic class levels
sort(unique(country$ecoclass))

# Examine individual countries
print.simple.list(country[country$iso2 == "IS",])
print.simple.list(country[country$country_name == "Samoa",])
}
\seealso{
\code{\link{aquaculture}} and \code{\link{capture}} data are also
available in a combined \code{\link{production}} format.

\code{\link{area}}, \code{\link{country}}, \code{\link{environment}},
\code{\link{measure}}, \code{\link{source}}, \code{\link{species}}, and
\code{\link{status}} are lookup tables.

\code{\link{fishstat-package}} gives an overview of the package.
}
